Bug 462430 - (CVE-2008-4096) CVE-2008-4096 phpMyAdmin: Code execution vulnerability (< 2.11.9.1)
CVE-2008-4096 phpMyAdmin: Code execution vulnerability (< 2.11.9.1)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.phpmyadmin.net/home_page/d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 03:48 EDT by Robert Scheck
Modified: 2008-10-01 14:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 09:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-09-16 03:48:25 EDT
Description of problem:
phpMyAdmin < 2.11.9.1 contains a not yet clearly documented security bug:
"Welcome to this security update for phpMyAdmin 2.11.9. Details will follow
on http://phpmyadmin.net. Marc Delisle, for the team"

Additional info (http://www.phpmyadmin.net/home_page/downloads.php?relnotes=0):
Fixes for 2.11.9.x:

- bug #2031221 [auth] Links to version number on login screen 
- bug #2032707 [core] PMA does not start if ini_set() is disabled 
- bug #2004915 [bookmarks] Saved queries greater than 1000 chars not displayed
- bug #2037381 [export] Export type "replace" does not work 
- bug #2037375 [export] DROP PROCEDURE needs IF EXISTS 
- bug #2045512 [export] Numbers in Excel export
+ [lang] Norwegian UTF-8 original file remerged
- bug #2074250 [parser] Undefined variable seen_from
- (2.11.9.1)  [security] Code execution vulnerability
Comment 1 Fedora Update System 2008-09-16 04:00:11 EDT
phpMyAdmin-2.11.9.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.1-1.fc8
Comment 2 Fedora Update System 2008-09-16 04:00:14 EDT
phpMyAdmin-2.11.9.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.1-1.fc9
Comment 3 Fedora Update System 2008-09-24 20:15:10 EDT
phpMyAdmin-2.11.9.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-09-24 20:27:46 EDT
phpMyAdmin-2.11.9.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-09-29 09:14:40 EDT
CVE-2008-4096:

libraries/database_interface.lib.php in phpMyAdmin before 2.11.9.1 allows
remote authenticated users to execute arbitrary code via a request to 
server_databases.php with a sort_by parameter containing PHP sequences,
which are processed by create_function.
Comment 6 Red Hat Product Security 2008-09-29 09:17:19 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8269
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8370
Comment 7 Tomas Hoger 2008-10-01 14:17:21 EDT
Upstream advisory:
http://www.phpmyadmin.net/home_page/security.php?issue=PMASA-2008-7

Note You need to log in before you can comment on or make changes to this bug.